=== debian/changelog ===
ros-noetic-tesseract-collision (0.18.1-1focal) focal; urgency=high

  * Fix convert convex hull to set correct creation method
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.18.0-1focal) focal; urgency=high

  * Update kinematics group inverse kinematics to harmonize within joint limits (#899 <https://github.com/tesseract-robotics/tesseract/issues/899>)
  * Trajectory logging fixup (#908 <https://github.com/tesseract-robotics/tesseract/issues/908>)
  * Improve Trajectory Collision Logging (#765 <https://github.com/tesseract-robotics/tesseract/issues/765>)
  * Add package cmake flags for testing, examples and benchmarks
  * Add assert to ContactResultsMap to make sure key is an ordered pair
  * Fix makeConvexMesh to pass through scale used on resource
  * Update VHACD to latest (v4.1, tag 454913f) (#896 <https://github.com/tesseract-robotics/tesseract/issues/896>)
  * Contributors: John Wason, Levi Armstrong, Roelof, Tyler Marr

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.17.0-1focal) focal; urgency=high

  * Remove invalid assert from FCL collision and distance callback functions
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.16.1-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.16.0-1focal) focal; urgency=high

  * Improve collision code coverage
  * Add ContactResultMap shrinkToFit and CollisionCheckProgramType
  * Fix ContactResultMap serialization
  * Add AddTrajectoryLinkCommand
  * Add documentation to ContactResultMap
  * Remove reserve(100) in ContactResultMap does not improve performance
  * Add contact results class
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.15.3-1focal) focal; urgency=high

  * Update tesseract_collision benchmarks (#868 <https://github.com/tesseract-robotics/tesseract/issues/868>)
  * Add ContactResult boost serialization
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.15.2-1focal) focal; urgency=high

  * Expose Bullet collision pool allocator configuration
  * Switch include in tesseract_collision
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.15.1-1focal) focal; urgency=high

  * Add flattenWrapperResults methods
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-collision (0.15.0-1focal) focal; urgency=high

  * Update collision benchmarks
  * Remove unused fcl selfCollisionContactTest method
  * Improve tesseract_collision code coverage
  * Fix fcl unregistar bug
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-collision (0.14.0-1focal) focal; urgency=high

  * Remove deprecated items
  * Fix codecov build using ros_industrial_cmake_boilerplate 0.3.1
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.13.1-1focal) focal; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Add find_bullet macro which creates a target to link against (#803 <https://github.com/tesseract-robotics/tesseract/issues/803>)
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)
  * Static plugin loading using symbol module resolution (#782 <https://github.com/tesseract-robotics/tesseract/issues/782>)

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Fix benchmark CI
  * Minor fixes
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.9.10-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.9.7-1focal) focal; urgency=high

  * Reduce bullet octomap storage
  * Allow not providing contact manager plugins
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-collision (0.9.6-1focal) focal; urgency=high




